<?php
/**
* Joomla Community Builder User Plugin: plug_cbautowelcome
* @version $Id$
* @package plug_cbautowelcome
* @subpackage cb.autowelcome.php
* @author Nick A. (aka nant)
* @copyright (C) Nant, JoomlaJoe and Beat, www.joomlapolis.com
* @license Limited http://www.gnu.org/copyleft/gpl.html GNU/GPL
*/

/** ensure this file is being included by a parent file **/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

$_PLUGINS->registerFunction( 'onUserActive', 'pecUserActivated', 'plug_paidsystem_newuserclass' );

/**
 * Need to generate tab object to grab plugin parameters.
 */
class plug_paidsystem_newuserclass extends cbTabHandler {
	
	/**
	 * Construnctor
	 */
	function plug_paidsystem_newuserclass() {
		$this->cbTabHandler();
	}
	
	/**
	 * Get all plugin, tab, and CB fields related with this application
	 * @access private
	 * @param object mosUser reflecting the user being displayed
	 */
	function _pecGetPlugParameters(){

		$params = $this->params;
		
		// Plugin Parameters
		$PlugParams["peccreditvalue"] = intval($params->get('pecCreditValue', 10));
			
		return $PlugParams;
	}
	
	function pecUserActivated($user, $success) {
		global $ueConfig, $mosConfig_absolute_path, $mosConfig_uniquemail;
		
		if (!$success) return false;
		
		$plugparams=$this->_pecGetPlugParameters();
		$addcredit = intval($plugparams["peccreditvalue"]) ;

        $database =& JFactory::getDBO();

		$query = "SELECT * FROM #__paidsystem_credits WHERE userid='$user->id'";
		$database->setQuery($query);

		$row = null;
		if ($database->loadObject($row)) {
			$credit = $row->credit + $addcredit;
			$query = "UPDATE #__paidsystem_credits SET credit = '$credit' WHERE id = '$row->id'";
			$database->setQuery($query);
			$database->query();
		} else {
			$query = "INSERT INTO #__paidsystem_credits VALUES ('','$user->id','$addcredit')";
			$database->setQuery($query);
			$database->query();
		}

		if ($database->getErrorNum())
			echo $database->stderr() ;
		
		return true;
	}	
}
?>